Bug 430002 - All autogen.sh executions should include --prefix
All autogen.sh executions should include --prefix
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 01:31 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:31:51 EST
Ticket #55 (assigned defect)

Opened 3 months ago

Last modified 3 months ago
All autogen.sh executions should include --prefix
Reported by: 	rcritten 	Assigned to: 	kmacmill (accepted)
Priority: 	major 	Milestone: 	release-2
Component: 	ipa-server 	Version: 	1.0
Keywords: 		Cc: 	
Description ¶

In the top-level Makefile there are some places where autogen.sh is called without specifying --prefix=/usr. That should be fixed if for no other reason than misleading messages will be displayed ala this when the tarballs target is run:

                    FreeIPA Server 0.4
                    ========================

	prefix:                   /usr/local
	exec_prefix:              ${prefix}
        libdir:                   ${exec_prefix}/lib
        bindir:                   ${exec_prefix}/bin
        sbindir:                  ${exec_prefix}/sbin
        sysconfdir:               ${prefix}/etc
        localstatedir:            ${prefix}/var
        datadir:                  ${datarootdir}
	source code location:	  .
	compiler:		  gcc
	cflags:		          -g -O2
        LDAP libs:                 -llber -lldap
        KRB5 libs:                -lkrb5 -lk5crypto -lcom_err
        Maintainer mode:          yes

Change History
2007-10-31 11:17:33 changed by kmacmill ¶

    * milestone changed from milestone-5 to release-2.

2007-10-31 11:20:32 changed by kmacmill ¶

    * owner changed from rcritten to kmacmill.
    * status changed from new to assigned.
Comment 1 Rob Crittenden 2008-01-24 14:50:27 EST
Resolved in changeset 594
Comment 2 Michael Gregg 2008-04-08 17:49:22 EDT
 
Verified that all of the autogen.sh calls specify the --prefix option in
changeset:   778:683574f20621

Verified good.

Note You need to log in before you can comment on or make changes to this bug.